Orxonox: orxonox::JoyStickHandler Class Reference

# orxonox::JoyStickHandler Class Reference

Interface class used for joy stick input listeners. More...

`#include <src/core/input/InputInterfaces.h>`

Inheritance diagram for orxonox::JoyStickHandler:

List of all members.

## Public Member Functions

virtual void | joyStickAxisMoved (unsigned int joyStickID, unsigned int axis, float value)=0
virtual void | joyStickButtonHeld (unsigned int joyStickID, JoyStickButtonCode::ByEnum id)=0
virtual void | joyStickButtonPressed (unsigned int joyStickID, JoyStickButtonCode::ByEnum id)=0
virtual void | joyStickButtonReleased (unsigned int joyStickID, JoyStickButtonCode::ByEnum id)=0
virtual void | updateJoyStick (float dt, unsigned int joyStick)=0
virtual | ~JoyStickHandler ()

## Detailed Description

Interface class used for joy stick input listeners.

## Constructor & Destructor Documentation

virtual orxonox::JoyStickHandler::~JoyStickHandler | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void orxonox::JoyStickHandler::joyStickAxisMoved | ( | unsigned int | joyStickID,
|  | unsigned int | axis,
|  | float | value |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::EmptyHandler, and orxonox::KeyBinder.

virtual void orxonox::JoyStickHandler::joyStickButtonHeld | ( | unsigned int | joyStickID,
|  | JoyStickButtonCode::ByEnum | id |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::EmptyHandler, and orxonox::KeyBinder.

virtual void orxonox::JoyStickHandler::joyStickButtonPressed | ( | unsigned int | joyStickID,
|  | JoyStickButtonCode::ByEnum | id |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::EmptyHandler, and orxonox::KeyBinder.

virtual void orxonox::JoyStickHandler::joyStickButtonReleased | ( | unsigned int | joyStickID,
|  | JoyStickButtonCode::ByEnum | id |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::EmptyHandler, and orxonox::KeyBinder.

virtual void orxonox::JoyStickHandler::updateJoyStick | ( | float | dt,
|  | unsigned int | joyStick |
| ) |  |  | `[pure virtual]`

Implemented in orxonox::EmptyHandler, and orxonox::KeyBinder.

The documentation for this class was generated from the following file:

- src/core/input/InputInterfaces.h